<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Artikel_model extends CI_Model {

    public function __construct() {
        parent::__construct();
    }

    public function get_artikel() {
        $this->db->where('artikel_status', 'publish'); // Hanya ambil artikel yang dipublikasikan
        $query = $this->db->get('artikel');
        return $query->result_array(); // Kembalikan hasil sebagai array
    }

    public function get_artikel_with_satker() {
        $level = $this->session->userdata('level');
        $satker_id = $this->session->userdata('satker_id');
        
        $this->db->select('artikel.*, pengguna.pengguna_nama, kategori.kategori_nama');
        $this->db->from('artikel');
        $this->db->join('pengguna', 'artikel.artikel_author = pengguna.pengguna_id');
        $this->db->join('kategori', 'artikel.artikel_kategori = kategori.kategori_id');
        
        // Filter berdasarkan level dan satker_id
        if ($level != 'admin') {
            $this->db->where('artikel.satker_id', $satker_id);
        }
        
        $query = $this->db->get();
        return $query->result();
    }
    

}